Package org.eclipse.cdt.core.dom

## Interface ILinkage

All Known Subinterfaces:
  `IIndexLinkage`

    public interface ILinkage

Represents a linkage under which bindings are stored in the index.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `C_LINKAGE_ID`
`static String` `C_LINKAGE_NAME`
`static int` `CPP_LINKAGE_ID`
`static String` `CPP_LINKAGE_NAME`
`static int` `FORTRAN_LINKAGE_ID`
`static String` `FORTRAN_LINKAGE_NAME`
`static int` `MAX_LINKAGE_ID` Deprecated.
`static int` `NO_LINKAGE_ID`
`static String` `NO_LINKAGE_NAME`
`static int` `OBJC_LINKAGE_ID`
`static String` `OBJC_LINKAGE_NAME`
`static int` `QT_LINKAGE_ID`
`static String` `QT_LINKAGE_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLinkageID()` Returns a unique id for the linkage.
`String` `getLinkageName()` Returns the name of the linkage.

### Field Detail

#### NO_LINKAGE_NAME

    static final String NO_LINKAGE_NAME

See Also:
  Constant Field Values

#### C_LINKAGE_NAME

    static final String C_LINKAGE_NAME

See Also:
  Constant Field Values

#### CPP_LINKAGE_NAME

    static final String CPP_LINKAGE_NAME

See Also:
  Constant Field Values

#### FORTRAN_LINKAGE_NAME

    static final String FORTRAN_LINKAGE_NAME

See Also:
  Constant Field Values

#### OBJC_LINKAGE_NAME

    static final String OBJC_LINKAGE_NAME

Since:
  5.1
See Also:
  Constant Field Values

#### QT_LINKAGE_NAME

    static final String QT_LINKAGE_NAME

Since:
  5.6
See Also:
  Constant Field Values

#### NO_LINKAGE_ID

    static final int NO_LINKAGE_ID

See Also:
  Constant Field Values

#### CPP_LINKAGE_ID

    static final int CPP_LINKAGE_ID

See Also:
  Constant Field Values

#### C_LINKAGE_ID

    static final int C_LINKAGE_ID

See Also:
  Constant Field Values

#### FORTRAN_LINKAGE_ID

    static final int FORTRAN_LINKAGE_ID

See Also:
  Constant Field Values

#### OBJC_LINKAGE_ID

    static final int OBJC_LINKAGE_ID

Since:
  5.1
See Also:
  Constant Field Values

#### QT_LINKAGE_ID

    static final int QT_LINKAGE_ID

Since:
  5.6
See Also:
  Constant Field Values

#### MAX_LINKAGE_ID

    @Deprecated
    static final int MAX_LINKAGE_ID

Deprecated.
Additional linkage ids may be added in future.

See Also:
  Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### Method Detail

#### getLinkageName

    String getLinkageName()

Returns the name of the linkage.

#### getLinkageID

    int getLinkageID()

Returns a unique id for the linkage.